WML::STD::LABEL(1)

NAME
wml::std::label - Labels and References

SYNOPSIS
 #use wml::std::label auxfile=NAME

 <label name "Label Section">
 <ref name>

DESCRIPTION
This module implements a mechanism of labels and references. Labels are defined via variables, which are expanded with the "<ref>" tag. A common problem is when labels are referenced before they are defined. For this reason, labels are stored in an auxiliary file. When the module is loaded, this file is read and labels are defined. Then input is processed and at end of input, labels are compared with their previous value. If some labels changed, then all labels are written to the auxiliary file and a message is printed to warn that labels are wrong.

AUTHOR
 Denis Barbier
 barbier@engelschall.com

REQUIRES
 Internal: P2, P3, P4
 External: --